<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>http://70.231.62.181/index.php?action=history&amp;feed=atom&amp;title=Module%3ABanner_shell%2Fstyles.css</id>
	<title>Module:Banner shell/styles.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="http://70.231.62.181/index.php?action=history&amp;feed=atom&amp;title=Module%3ABanner_shell%2Fstyles.css"/>
	<link rel="alternate" type="text/html" href="http://70.231.62.181/index.php?title=Module:Banner_shell/styles.css&amp;action=history"/>
	<updated>2026-04-23T07:30:59Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.45.1</generator>
	<entry>
		<id>http://70.231.62.181/index.php?title=Module:Banner_shell/styles.css&amp;diff=22578937&amp;oldid=prev</id>
		<title>imported&gt;Jonesey95: fix text color in dark mode; this generally works but may cause problems, in which case revert or try specifying a different CSS value</title>
		<link rel="alternate" type="text/html" href="http://70.231.62.181/index.php?title=Module:Banner_shell/styles.css&amp;diff=22578937&amp;oldid=prev"/>
		<updated>2025-10-05T02:48:13Z</updated>

		<summary type="html">&lt;p&gt;fix text color in dark mode; this generally works but may cause problems, in which case revert or try specifying a different CSS value&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;&lt;br /&gt;
/* {{pp-template}} */&lt;br /&gt;
.banner-shell {&lt;br /&gt;
	border-collapse: separate;&lt;br /&gt;
	border-spacing: 4px;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.banner-shell-header {&lt;br /&gt;
	text-align: center;&lt;br /&gt;
	font-weight: bold;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.banner-shell-inner {&lt;br /&gt;
	padding: 2px 4px;&lt;br /&gt;
	background: #fffaef;&lt;br /&gt;
    color:inherit;&lt;br /&gt;
	border: 1px dotted gray;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
@media screen {&lt;br /&gt;
	html.skin-theme-clientpref-night .banner-shell-inner {&lt;br /&gt;
		background:#2e2505;&lt;br /&gt;
        color:inherit;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
@media screen and (prefers-color-scheme: dark) {&lt;br /&gt;
	html.skin-theme-clientpref-os .banner-shell-inner {&lt;br /&gt;
		background:#2e2505;&lt;br /&gt;
        color:inherit;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* For tmboxes inside banner-shell */&lt;br /&gt;
.banner-shell .tmbox {&lt;br /&gt;
	margin: 2px 0;&lt;br /&gt;
	/* TODO: Still needed? Probably at least for .mbox-small */&lt;br /&gt;
	width: 100%;/* For Safari and Opera */&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* &amp;quot;small&amp;quot; tmboxes should not be small when also &amp;quot;nested&amp;quot;, so reset styles that&lt;br /&gt;
 * are set in tmbox.css.&lt;br /&gt;
 */&lt;br /&gt;
.banner-shell .tmbox.mbox-small { &lt;br /&gt;
	line-height: 1.5em;&lt;br /&gt;
	font-size: 100%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* hide things that should only display outside shells */&lt;br /&gt;
.banner-shell-inner .banner-shell-outside {&lt;br /&gt;
	display: none;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
@media (min-width: 720px) {&lt;br /&gt;
	.wpbs {&lt;br /&gt;
		width: 80%;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.wpbs .assess {&lt;br /&gt;
	width: 60px;&lt;br /&gt;
	text-align:center;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.wpbs .banner-shell-header {&lt;br /&gt;
	border: none;&lt;br /&gt;
	padding: 0.25em 0.9em 0.25em 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* This selector needs to have three classes because wpbm.css will come after&lt;br /&gt;
 * the shell CSS. Possibly .wpb-header will be the only class in the future in&lt;br /&gt;
 * which case we will still need at least two.&lt;br /&gt;
 */&lt;br /&gt;
.wpbs .wpb .wpb-header {&lt;br /&gt;
	display: table-row;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* hide the header icon when banner expanded */&lt;br /&gt;
.wpbs .wpb:not(.mw-collapsed) .wpb-header-icon a {&lt;br /&gt;
	display: none;&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>imported&gt;Jonesey95</name></author>
	</entry>
</feed>